document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_17100
--- +++ @@ -16,3 +16,8 @@ # Go export GOPROXY=https://proxy.golang.org + +# Kubernetes +if command -v kubectl 1>/dev/null 2>&1; then + source <(kubectl completion zsh) +fi
bash
d_bash_17101
--- +++ @@ -8,5 +8,9 @@ set -xe +# Install sqlite3 +apt-get update -yqq +apt-get install sqlite3 libsqlite3-dev -yqq + # Replace test config with docker config file mv "$DIR/config-ci.json" "$DIR/config.json"
bash
d_bash_17102
--- +++ @@ -14,7 +14,7 @@ echo "Skipping snapshot deployment: was pull request." elif [ "$TRAVIS_BRANCH" != "$BRANCH" ]; then echo "Skipping snapshot deployment: wrong branch. Expected '$BRANCH' but was '$TRAVIS_BRANCH'." -elif [[ $(./gradlew properties | grep version) != *-SNAPSHOT ]]; then +elif [[ $(./gradl...
bash
d_bash_17103
--- +++ @@ -10,10 +10,11 @@ if test -f "${INSTALL}/tardis.xpm" && test -f "${INSTALL}/whohead1.xpm" && test -f "${INSTALL}/whologo.xpm" then echo "Already installed images in ${INSTALL}" -else - wget --output-document="/tmp/timetunnel-4.22.tar.gz" "${URL}" - tar --ungzip --extract --file "/tmp/timetunnel...
bash
d_bash_17104
--- +++ @@ -1,7 +1,9 @@ set -e docker login --email="${DOCKER_USER_EMAIL}" --password="${DOCKER_USER_PASSWORD}" --username="${DOCKER_USER_NAME}" +docker tag jackfirth/racket:6.4 jackfirth/racket:latest push () { docker push jackfirth/racket:$1; } +push latest push 6.4 push 6.3 push 6.2.1
bash
d_bash_17105
--- +++ @@ -11,6 +11,8 @@ # switch to gh-pages and copy the files git checkout gh-pages || exit +# make sure that our local version is up to date. +git pull || exit rm -rf docs/api/java docs/api/py docs/api/rb mv build/javadoc docs/api/java
bash
d_bash_17106
--- +++ @@ -27,5 +27,5 @@ set +e terraform destroy \ -force \ - -state $root/terraform-state/terraform.tfstate \ - -state-out $root/terraform-state-output/terraform.tfstate + -state "${root}/terraform-state/terraform.tfstate" \ + -state-out "${root}/terraform-state-output/terraform.tfstate"
bash
d_bash_17107
--- +++ @@ -1,8 +1,11 @@ -# Always open everything in Finder's list view +echo "✓ Always open everything in Finder's list view" defaults write com.apple.Finder FXPreferredViewStyle Nlsv -# Set a really fast key repeat. +echo "✓ Set a really fast key repeat" defaults write NSGlobalDomain KeyRepeat -int 0 -# Hide...
bash
d_bash_17108
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -killall -q polybar +pkill -u $UID -x polybar while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done polybar main >$XDG_DATA_HOME/polybar.log 2>&1 &
bash
d_bash_17109
--- +++ @@ -26,7 +26,7 @@ pandoc --read=html --write=rst "$read_file" -o "$write_file" sed -ie "1,6d" "$write_file" - sed -ie "s/\Module //" "$write_file" + sed -ie "1s/\Module //" "$write_file" LINE_1=`cat $write_file | wc -l` LINE_2=`expr $LINE_1 - 10` sed -ie "$LINE_2,\$d" "$write_...
bash
d_bash_17110
--- +++ @@ -3,8 +3,8 @@ # $Id$ # # To generate S/MIME bundles to test against. If using a self-signed -# certificate, use 'openssl -verify -noverify' to avoid 'self signed -# certificate in chain' error. +# certificate, use 'openssl smime -verify -noverify' to avoid 'self +# signed certificate in chain' errors. ...
bash
d_bash_17111
--- +++ @@ -17,4 +17,5 @@ cd ../.. echo "[INFO] All components started. They may take a few minutes to finish starting up." -echo "[INFO] You will be able to access the xCoLab on http://localhost:18082 (default port)" +echo "[INFO] Once the servers have finished starting up, will be able to access the xCoLab on h...
bash
d_bash_17112
--- +++ @@ -1,5 +1,7 @@ #!/usr/bin/env bash + +mkdir -p $TESTDATA_DIR cd $TESTDATA_DIR
bash
d_bash_17113
--- +++ @@ -9,7 +9,7 @@ RACS=$redirectedTempFolder/RACS_in_cell_lines.xlsx variants=$redirectedTempFolder/WES_variants.xlsx expression=$redirectedTempFolder/sanger1018_brainarray_ensemblgene_rma.txt.gz -expressiontmp=$redirectedTempFolder/expressiontmp.tsv.gz +expressiontmp=$redirectedTempFolder/expressiontmp.tsv ...
bash
d_bash_17114
--- +++ @@ -1,8 +1,10 @@ # Remove the system service we installed if command -v systemctl > /dev/null; then rm -f /lib/systemd/system/buildkite-agent.service -elif [ -d /etc/init ]; then +fi +if [ -f /etc/init/buildkite-agent.conf ]; then rm -f /etc/init/buildkite-agent.conf -elif [ -d /etc/init.d ]; then +fi...
bash
d_bash_17115
--- +++ @@ -3,10 +3,14 @@ if [ "$1" == "jython" ]; then shift - jybot $COMMON_ARGS -P lib/trilead-ssh2-build213.jar -d $OUTPUT_ROOT/jython -i jybot $* + OUTPUT_DIR="$OUTPUT_ROOT/jython" + rm -rf $OUTPUT_DIR 2> /dev/null + jybot $COMMON_ARGS -P lib/trilead-ssh2-build213.jar -d $OUTPUT_DIR -i jybot ...
bash
d_bash_17116
--- +++ @@ -9,11 +9,11 @@ > public/lib/coffee-script.js curl --fail https://cdnjs.cloudflare.com/ajax/libs/less.js/1.3.3/less.min.js \ > public/lib/less.js -curl --fail https://cdnjs.cloudflare.com/ajax/libs/dropbox.js/0.9.1/dropbox.min.js \ +curl --fail https://cdnjs.cloudflare.com/ajax/libs/dropbox.js/0....
bash
d_bash_17117
--- +++ @@ -31,6 +31,5 @@ cd build cmake .. make qif tests samples -j 2 -# TODO: investigate: Segmentation fault: 11 ./tests/run -./tests/run || true +./tests/run make install -j 2
bash
d_bash_17118
--- +++ @@ -27,7 +27,7 @@ } function rename_with_hash { - if which md5sum + if hash md5sum 2>/dev/null then checksum=$(md5sum "$1" | cut -d " " -f 1) else checksum=$(md5 -q "$1") fi
bash
d_bash_17119
--- +++ @@ -4,5 +4,9 @@ # get config source /systemapic/config/env.sh -# PGPASSWORD=docker psql -U docker -d $1 -h postgis -c "CREATE TABLE owner_info ( name text, uuid text, created_at integer);" -PGPASSWORD=$SYSTEMAPIC_PGSQL_PASSWORD psql -U $SYSTEMAPIC_PGSQL_USERNAME -d $SYSTEMAPIC_PGSQL_DBNAME -h postgis -c "...
bash
d_bash_17120
--- +++ @@ -12,7 +12,7 @@ # Set up GFlags and build the static and dynamic libraries. # We will use only the static library though. cd gflags -mkdir build +mkdir -p build cd build cmake ..
bash
d_bash_17121
--- +++ @@ -11,7 +11,7 @@ eval "$(ssh-agent -s)" #start the ssh agent ssh-add .travis/id_rsa - gulp cd + gulp cd:pushAndRun elif [ $TRAVIS_BRANCH = "staging" ]; then echo "Deploying to staging and testing"
bash
d_bash_17122
--- +++ @@ -16,10 +16,9 @@ if [ ! -d graphql-tools-src ] then - git clone --depth 1 https://github.com/apollographql/graphql-tools.git + git clone https://github.com/apollographql/graphql-tools.git pushd graphql-tools - git fetch origin refs/pull/807/merge:pull/807/merge - git checkout pull/807/m...
bash
d_bash_17123
--- +++ @@ -1,4 +1,4 @@ -#/usr/bin/env bash +#!/bin/bash STR=`grunt`; SUB='test-template.cfm';
bash
d_bash_17124
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash cd deps -wget "https://github.com/jemalloc/jemalloc/archive/3.6.0.tar.gz" -O jemalloc-3.6.0.tar.gz +wget "https://github.com/jemalloc/jemalloc/archive/3.6.0.tar.gz" -q -O jemalloc-3.6.0.tar.gz tar xzf jemalloc-3.6.0.tar.gz cd jemalloc-3.6.0 autoconf -./configure -make +./confi...
bash
d_bash_17125
--- +++ @@ -4,4 +4,4 @@ NEW_VERSION=`date "+%Y%m%d%H%M%S"` echo "Updating BundleVersion to ${NEW_VERSION}"; -/usr/libexec/PListBuddy -c "Set CFBundleVersion $NEW_VERSION" ${SRCROOT}/${PRODUCT_NAME}/${PRODUCT_NAME}-Info.plist +/usr/libexec/PListBuddy -c "Set CFBundleVersion $NEW_VERSION" "${SRCROOT}/${PRODUCT_NAME...
bash
d_bash_17126
--- +++ @@ -13,7 +13,7 @@ KEYFILE=/etc/apt/keyrings/obs-sionescu.key cat > /etc/apt/sources.list.d/libfixposix.list <<EOF -deb [signed-by=${KEYFILE}] http://download.opensuse.org/repositories/home:/sionescu/Debian/ ./ +deb [signed-by=${KEYFILE}] http://download.opensuse.org/repositories/home:/sionescu/Ubuntu_Jamm...
bash
d_bash_17127
--- +++ @@ -1,2 +1,2 @@ #/bin/sh -/root/spark/bin/spark-submit --class vc.inreach.ml.classifiers.WeightedTrainingTask --deploy-mode client --driver-memory 8g --driver-cores 2 /root/spark/inreach-ml-batch.jar -data_path s3n://inreach-prod-dynamo-data/dynamoDbData_20161103/ -model_path s3n://inreach-ml-models/ -aws re...
bash
d_bash_17128
--- +++ @@ -9,7 +9,7 @@ fi # CONFIGURE -mkdir -pv build +mkdir build cd build cmake "${SRC_DIR}"\
bash
d_bash_17129
--- +++ @@ -29,12 +29,17 @@ use_bazel.sh "$(cat .bazelversion)" fi + local readonly TEST_FLAGS=( + --strategy=TestRunner=standalone + --test_output=errors + ) + # This is needed to handle recent Chrome distributions on macOS which have # paths with spaces. Context: # https://github.com/baze...
bash
d_bash_17130
--- +++ @@ -20,14 +20,7 @@ for i in {1..7} do - sleep ${SLEEP_DURATION} - i3-msg exec gnome-terminal; - sleep ${SLEEP_DURATION} - xdotool type "sink ${WORKSPACE_NAME}" - xdotool key KP_Enter - sleep 3 - xdotool type "clear" - xdotool key KP_Enter + i3-msg exec "gnome-terminal --working-directory=${HOME}/...
bash
d_bash_17131
--- +++ @@ -40,3 +40,6 @@ echo "####### installing jshint globally via npm" npm install -g jshint + +echo "####### fixing osx" +bash ~/.osx
bash
d_bash_17132
--- +++ @@ -22,7 +22,7 @@ ./manage.py migrate # Install gems in order to compile the CSS -export GEM_HOME="../gems" +export GEM_HOME="$(cd ../gems && pwd -P)" mkdir -p "$GEM_HOME" export PATH="$GEM_HOME/bin:$PATH" gem install --conservative --no-ri --no-rdoc sass -v 3.2.14
bash
d_bash_17133
--- +++ @@ -13,21 +13,22 @@ rm -rf game/ echo "Deploying to itch.io.." -wget http://dl.itch.ovh/butler/linux-386/head/butler -P . -chmod +x butler +wget http://dl.itch.ovh/butler/linux-386/head/butler -P / +chmod +x /butler +export PATH="$PATH:/" touch butler_creds echo -n $ITCH_API_KEY > butler_creds -./butl...
bash
d_bash_17134
--- +++ @@ -14,7 +14,7 @@ export PATH="$HOME/.bin:$HOME/.local/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin" # Set my default editor to Vim :) -vim=$(which vim) +vim=$(command -v vim) export EDITOR=$vim # i - Vim's smart case
bash
d_bash_17135
--- +++ @@ -9,8 +9,7 @@ # - https://github.com/ffi/ffi/issues/485 # apk update -apk add gcc g++ libffi-dev musl-dev make ruby ruby-dev -gem install --no-document bundler jekyll +apk add g++ libffi-dev make musl-dev ruby ruby-dev # Other dependencies for gems apk add nodejs @@ -25,5 +24,5 @@ bundle install...
bash
d_bash_17136
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +pacman -S --needed base-devel cd_to="$1" [ -z "$cd_to" ] && cd_to=.
bash
d_bash_17137
--- +++ @@ -2,15 +2,17 @@ set -e SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)" -if python -m pytest --fixtures | grep 'xdist\.plugin' > /dev/null ; then - PYTEST_OPTS='-n auto' -else - echo "pytest-xdist not detected, tests won't be run in parellel" -fi for PYTHON in python2 python3 ; do echo --------...
bash
d_bash_17138
--- +++ @@ -4,10 +4,9 @@ AUTOMAKE=${AUTOMAKE:-automake} AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/') -if [ "$AM_INSTALLED_VERSION" != "1.10" \ - -a "$AM_INSTALLED_VERSION" != "1.11" ];then +if [ $AM_INSTALLED_VERSION < 1.10 ];then echo - echo "You must have ...
bash
d_bash_17139
--- +++ @@ -2,6 +2,6 @@ ## Run this script after installing the module curl -O http://downloads.razorpay.com/Razorpay.framework-0.15.0.zip -unzip ./Razorpay.framework-0.15.0.zip +unzip -o ./Razorpay.framework-0.15.0.zip rm -r ./ios/Razorpay.framework cp -R ./Razorpay.framework ./ios/
bash
d_bash_17140
--- +++ @@ -5,7 +5,9 @@ chown -R lighttpd $WWW_ROOT && chmod u+r -R $WWW_ROOT tail -F -n 0 /var/log/lighttpd/access.log /var/log/lighttpd/error.log 2> /dev/null & -find $START_PATH -type f | sort | xargs env +find $START_PATH -type f | sort | while read start; do + $start +done find $CONF_PATH -type f | sort ...
bash
d_bash_17141
--- +++ @@ -7,3 +7,5 @@ deactivate mkdir tmp touch tmp/restart.txt +git remote rm upstream || : +git remote add upstream git@github.com:GregBrimble/boilerplate-web-service.git
bash
d_bash_17142
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash set -e -version="20.10.15" +version="20.10.16" echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz";
bash
d_bash_17143
--- +++ @@ -14,6 +14,16 @@ [[ $# -gt 2 ]] && serverPort=$3 declare -a processes +kill_processes(){ + echo "Killing all processes..." + kill ${processes[@]} + echo "Done. Bye." +} +handle_sigint(){ + kill_processes + exit 0 +} +trap handle_sigint SIGINT for ((i = 1; i <= $1; i++)); do ./cont...
bash
d_bash_17144
--- +++ @@ -1,7 +1,6 @@ #!/bin/sh rm PAPI_FAQ.html rm release_procedure.txt -rm gitlog2changelog.py rm doc/DataRange.html rm doc/PAPI-C.html rm doc/README
bash
d_bash_17145
--- +++ @@ -19,4 +19,4 @@ PARAMS="$@" # Allow display access from the container. xhost +si:localuser:root -docker run --gpus all -e DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix -e "TOKEN=$(cat ~/.emulator_console_auth_token)" -e "ADBKEY=$(cat ~/.android/adbkey)" -e "EMULATOR_PARAMS=-gpu host ${PARAMS}" --device /dev/...
bash
d_bash_17146
--- +++ @@ -11,15 +11,15 @@ echo "Installing oh-my-zsh" sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh)" +echo 'Installing spaceship prompt' +git clone https://github.com/denysdovhan/spaceship-prompt.git "$ZSH_CUSTOM/themes/spaceship-prompt" +ln -s "$ZSH_CUSTO...
bash
d_bash_17147
--- +++ @@ -1,3 +1,4 @@ #! /bin/bash +set -eu mvn -Dscala.binary.version=2.10 -Dscala.version=2.10.6 "$@" mvn -Dscala.binary.version=2.11 -Dscala.version=2.11.7 "$@"
bash
d_bash_17148
--- +++ @@ -1,2 +1,2 @@ #!/bin/sh -[ ! -z "$(git diff develop... -- ../CHANGELOG.rst)" ] || echo "Remember to update the CHANGELOG.rst" +[ ! -z "$(git diff develop... -- ../CHANGELOG.rst)" ] || ( echo "Remember to update the CHANGELOG.rst" && return 1 )
bash
d_bash_17149
--- +++ @@ -1,8 +1,10 @@ -sidadm=poqadm -db2sid=db2poq +sidadm=ecqadm +db2sid=db2ecq DB2INSTALLER=/tmp/DB2_LUW_10.5_FP5_RDBMS_LINUX_/LINUXX86_64 -SID=POQ +SID=ECQ + +# rsync -avz /sapmedia/IBM_DB2/DB2_LUW_10.5_FP5_RDBMS_LINUX_ /tmp/ set -e @@ -37,9 +39,9 @@ startdb exit -su - db2poq -c "cd $DB2INSTALLER ;...
bash
d_bash_17150
--- +++ @@ -9,11 +9,11 @@ pushd "${WORKDIR}" "${WORKDIR}/clean.pl" - "${WORKDIR}/bin/bamboo.pl" -Pbuild-bamboo "${COMPILE_OPTIONS[@]}" "${SKIP_TESTS[@]}" -v install -# pushd opennms-full-assembly -# "${WORKDIR}/bin/bamboo.pl" "${COMPILE_OPTIONS[@]}" "${SKIP_TESTS[@]}" -v install -# popd - "${WORKDIR}/bin/bamboo...
bash
d_bash_17151
--- +++ @@ -10,4 +10,5 @@ APPID=$1 -wget "https://clients2.google.com/service/update2/crx?response=redirect&x=id%3D${APPID}%26uc" -O "${APPID}.crx" +#wget "https://clients2.google.com/service/update2/crx?response=redirect&x=id%3D${APPID}%26uc" -O "${APPID}.crx" +curl -L "https://clients2.google.com/service/updat...
bash
d_bash_17152
--- +++ @@ -1,7 +1,13 @@ #!/bin/bash for SF in $(ls */quant.sf) do - OUT=${SF/\/quant.sf/}".sf" - echo $SF $OUT + SF_OUT=${SF/\/quant.sf/}".sf" + echo $SF $SF_OUT cp $SF $OUT + + LOG=${SF/\/quant.sf/}"/logs/salmon_quant.log" + LOG_OUT=${SF/\/quant.sf/}".log" + echo $LOG $LOG_OUT + cp $LOG $LOG_OUT done...
bash
d_bash_17153
--- +++ @@ -7,4 +7,4 @@ trap '' USR1 TTOU TTIN # The '-noreset' works around an apparent bug in the X server that # makes us fail to boot sometimes; see http://crosbug.com/7578. -exec /usr/bin/X11/X -noreset -nolisten tcp vt01 -auth $1 2> /dev/null +exec /usr/bin/X -noreset -nolisten tcp vt01 -auth $1 2> /dev/null
bash
d_bash_17154
--- +++ @@ -24,5 +24,5 @@ step "Run smoke test" \ pushd test/smoke npm install - npm run smoketest -- --build "$AGENT_BUILDDIRECTORY/VSCode-darwin/Visual Studio Code - Insiders.app/Contents/MacOS/Electron" --screenshot + mocha --build "$AGENT_BUILDDIRECTORY/VSCode-darwin/Visual Studio Code - Insiders.app/Content...
bash
d_bash_17155
--- +++ @@ -27,6 +27,12 @@ exit 1 fi +if [ "${COMPONENT}x" == "x" ] +then + echo "You did not specified a component, using main by default" + COMPONENT=main +fi + KEY=$ID_RSA_FILE -curl --insecure --key $KEY --cert $CERT -X POST ${REPREPRO_URL}/upload?dist=$DIST --data-binary @$PACKAGE || exit 1 +curl --in...
bash
d_bash_17156
--- +++ @@ -4,21 +4,41 @@ sudo add-apt-repository --yes ppa:ubuntugis/ubuntugis-unstable sudo add-apt-repository --yes ppa:chris-lea/node.js sudo apt-get -qq update -sudo apt-get -qq install postgis postgresql-9.1-postgis rubygems nodejs +sudo apt-get -qq install postgis postgresql-9.1-postgis rubygems nodejs liba...
bash
d_bash_17157
--- +++ @@ -6,8 +6,8 @@ { for mod in $@; do pushd $mod > /dev/null - cabal clean rm -rf GI + rm -rf dist cabal configure cabal build cabal install --force-reinstalls
bash
d_bash_17158
--- +++ @@ -5,19 +5,25 @@ rm -fr debian-arm64 # Debootstrap a minimal Debian Jessie rootfs -# --keyring /usr/share/keyrings/debian-ports-archive-keyring.gpg \ -# --no-check-gpg \ +# --keyring /usr/share/keyrings/debian-ports-archive-keyring.gpg \ +# --no-check-gpg \ +# --variant=buildd \ qemu-debootstrap \ ...
bash
d_bash_17159
--- +++ @@ -3,7 +3,9 @@ set -e set -u -if [[ "$1" == 'update' ]]; then +cmd="${1:=install}" + +if [[ "$cmd" == 'update' ]]; then cmd='update' else cmd='install'
bash
d_bash_17160
--- +++ @@ -4,10 +4,10 @@ RCU_TESTS="" -RCU_TESTS+="rculist_user-ec11-rmc-test rculist_user-ec11-c11-test rculist_user-ec11-linux-test " +RCU_TESTS+="rculist_user-ec11-rmc-test rculist_user-ec11-c11-test rculist_user-ec11-sc-test rculist_user-ec11-linux-test " # RCU tests where the underlying system matches -...
bash
d_bash_17161
--- +++ @@ -1,5 +1,6 @@ cd $TMPDIR +sudo apt install libsdl1.2-dev +rm -rf curseofwar git clone https://github.com/a-nikolaev/curseofwar.git cd curseofwar -make SDL=yes DESTDIR=$HOME/.local install - +sudo make SDL=yes install
bash
d_bash_17162
--- +++ @@ -3,6 +3,9 @@ set -e SCRIPTPATH=$(readlink -f $(dirname $0)) +pushd $(dirname $0) > /dev/null +SCRIPTPATH=$(pwd) +popd > /dev/null cd $SCRIPTPATH PUB=$(mktemp pub.$$.XXXXXXXXXX)
bash
d_bash_17163
--- +++ @@ -11,7 +11,7 @@ GIGABYTE=1073741824 # Mount cloud storage -alias s3fsmount="s3fs -o url=https://storage.googleapis.com -o passwd_file=.passwd-s3fs -o nomultipart -o sigv2 -o umask=0007,uid=1000,gid=1000 -o use_cache=$STEWARD_CACHE" +alias s3fsmount="s3fs -o url=https://storage.googleapis.com -o passwd_f...
bash
d_bash_17164
--- +++ @@ -1,7 +1,7 @@ # Symfony2 basic command completion _symfony2_get_command_list () { - app/console --no-ansi | sed "1,/Available commands/d" | awk '/^ [a-z]+/ { print $1 }' + php app/console --no-ansi | sed "1,/Available commands/d" | awk '/^ [a-z]+/ { print $1 }' } _symfony2 () {
bash
d_bash_17165
--- +++ @@ -2,19 +2,12 @@ sudo apt-get install apache2 libapache2-mod-php5 mysql-server php5 php5-mysql \ php5-mcrypt php5-gd php5-imagick php5-curl phpmyadmin -if [ $(grep --count "/etc/phpmyadmin/apache.conf" \ - "/etc/apache2/apache2.conf") = "0" ] -then - # Include the configuration of phpMyAdmin for A...
bash
d_bash_17166
--- +++ @@ -5,7 +5,7 @@ prefix="clusto-${version}" echo "Appending prefix $prefix..." -git archive --format=tar --prefix=$prefix/ $lasttag > ./$(git rev-parse --show-cdup)/clusto-$version.tar +git archive --format=tar --prefix=$prefix/ HEAD > ./$(git rev-parse --show-cdup)/clusto-$version.tar tar -C $(dirname $0...
bash
d_bash_17167
--- +++ @@ -1,10 +1,11 @@ #!/usr/bin/env zsh -local UPDATES=$(git log --oneline --no-patch origin/master..HEAD | wc -l) +local git_opts=(--git-dir "$(realpath ${0:a:h}/..)/.git") +local UPDATES=$(git $git_opts log --oneline --no-patch origin/master..HEAD | wc -l) if [[ $UPDATES -gt 0 ]]; then echo "${fg[yell...
bash
d_bash_17168
--- +++ @@ -1,14 +1,14 @@ #!/bin/bash # # Convenience script to help produce the code coverage report for -# testsuite. Should be run from the same dir where bindings-mpi.cabal +# testsuite. Should be run from the same dir where haskell-mpi.cabal # is located and after "cabal install" or "cabal build" has been ru...
bash
d_bash_17169
--- +++ @@ -12,9 +12,9 @@ read password fi -if [ "$username" == "secret-user" -a "$password" == "secret-password" ] ; then +if [ "$username" = "secret-user" ] && [ "$password" = "secret-password" ] ; then echo "Welcome, $username!" -elif [ "$username" == "secret-properties-user" -a "$password" == "secret...
bash
d_bash_17170
--- +++ @@ -6,7 +6,7 @@ to_build_recipe=recipes/[a-z]* for recipe in $to_build_recipe do - CONDA_PY=2.7 conda build $recipe || echo "Failed on $recipe" + conda build $recipe || echo "Failed on $recipe" done to_build=$(cat build_order.txt)
bash
d_bash_17171
--- +++ @@ -26,4 +26,4 @@ save_dir="/tmp/build_desktop" SAVE_DIR=$save_dir KEYBASE_BINPATH="$build_dir_keybase/keybase" KBFS_BINPATH="$build_dir_kbfs/kbfs" ./package_darwin.sh -s3cmd sync --skip-existing $save_dir/* s3://keybase-app/ +s3cmd sync --skip-existing --acl-public $save_dir/* s3://keybase-app/
bash
d_bash_17172
--- +++ @@ -1,2 +1,2 @@ #/bin/sh -/root/spark/bin/spark-submit --class vc.inreach.ml.classifiers.ClassifierTrainingTask --deploy-mode client --driver-memory 6g --driver-cores 2 /jar/inreach-ml-batch.jar -data_path s3n://inreach-prod-dynamo-data/dynamoDbBackUp_20161203/ -model_path s3n://inreach-ml-models-official/ -...
bash
d_bash_17173
--- +++ @@ -2,4 +2,5 @@ for tarball_dir in $RELEASE_TARBALL_DIRS; do cat $tarball_dir/url + echo done
bash
d_bash_17174
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh git clone https://github.com/libuv/libuv.git cd libuv || return -git checkout $(git describe --tags) +git checkout "$(git describe --tags)" ./autogen.sh ./configure make
bash
d_bash_17175
--- +++ @@ -5,10 +5,10 @@ alias -- -='cd -' alias g=git +# https://www.quora.com/How-can-I-make-a-git-alias-that-executes-a-cd +alias gr='cd $(git rev-parse --show-toplevel)' alias v=vim alias df='cd ~/dotfiles' alias speedtest='wget -O /dev/null http://speedtest.wdc01.softlayer.com/downloads/test500.zip' ...
bash
d_bash_17176
--- +++ @@ -29,3 +29,8 @@ go get github.com/ghodss/yaml popd go run $GOPATH/src/k8s.io/charts/test/helm-test/main.go + +echo "#### Debugging ci-kubernetes-charts-gce ###" +kubectl get pvc --all-namespaces -o wide +kubectl get pv -o wide +echo "####"
bash
d_bash_17177
--- +++ @@ -2,11 +2,29 @@ cd "${SCRIPT_DIR}" find . -type d -mindepth 2 -path "*/dockerfiles/*" | sort --reverse | while read directory; do - echo "Running ${directory}" && - pushd "${directory}" && - bash "1_build.sh" && - bash "2_start.sh" && - bash "3_test.sh" && - bash "4_stop.sh" ...
bash
d_bash_17178
--- +++ @@ -7,3 +7,8 @@ fi echo "delorean_current_hash = $NEW_HASH" > $HASH_FILE + +# This is needed to make the promote image building job runnable outside of CI in the +# same way as the other tripleo-quickstart jobs. +echo "PUBLISH = true" >> $HASH_FILE +
bash
d_bash_17179
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash sudo apt-get update -sudo apt-get install -y build-essential zlib1g-dev wget curl python-setuptools git libz-dev ia32-libs +sudo apt-get install -y build-essential zlib1g-dev wget curl python-setuptools git libz-dev mkdir tmp cd tmp wget https://raw.github.com/chapmanb/bcbio-n...
bash
d_bash_17180
--- +++ @@ -11,4 +11,5 @@ cd Halide/ git checkout tiramisu +git pull make -j8
bash
d_bash_17181
--- +++ @@ -2,7 +2,9 @@ # in order to install `leiningen`, the tooling for clojure project development, # it is sufficient to get `lein` script at: # https://raw.githubusercontent.com/technomancy/leiningen/stable/bin/lein -# all clojure stuff then pass through it. +# all clojure stuff then pass through it. Then ma...
bash
d_bash_17182
--- +++ @@ -4,7 +4,7 @@ # Install nlopt from source since Ubuntu 12.04 does not provide debian package for nlopt curl -o nlopt-2.4.1.tar.gz http://ab-initio.mit.edu/nlopt/nlopt-2.4.1.tar.gz tar -xf nlopt-2.4.1.tar.gz - (cd nlopt-2.4.1/; sh autogen.sh; make CPPFLAGS='CPPFLAGS -fPIC' && sudo make install) + ...
bash
d_bash_17183
--- +++ @@ -1,6 +1,6 @@ pwd git submodule update --init --recursive -brew install sfml +brew install sfml homebrew/science/armadillo mkdir build cd build
bash
d_bash_17184
--- +++ @@ -34,7 +34,7 @@ display_result $? 2 "Import order check" npm test -display_result $? 3 "Javascript tests have failed" +display_result $? 3 "Javascript tests have" ## Code coverage py.test -n auto --maxfail=10 --cov=app --cov-report=term-missing tests/ --junitxml=test_results.xml --strict -p no:warni...
bash
d_bash_17185
--- +++ @@ -5,6 +5,25 @@ PARENT=`dirname $WHOAMI` PROJECT=`dirname $PARENT` DATA=$1 + +if [ ! -d /usr/local/mapzen/es-whosonfirst-schema ] +then + git clone https://github.com/whosonfirst/es-whosonfirst-schema.git /usr/local/mapzen/es-whosonfirst-schema +fi + +cd /usr/local/mapzen/es-whosonfirst-schema +git pul...
bash
d_bash_17186
--- +++ @@ -1,4 +1,7 @@ # Gets depot_tools. +# http://commondatastorage.googleapis.com/chrome-infra-docs/flat/depot_tools/docs/html/depot_tools_tutorial.html#_setting_up +# On Windows, Check below page. +# http://www.chromium.org/developers/how-tos/build-instructions-windows git clone https://chromium.googlesource....
bash
d_bash_17187
--- +++ @@ -9,6 +9,8 @@ # set -ex +REVISION=$(curl $BASE_URL/static/revision.txt) +echo REVISION=$REVISION ENV_FILE=`mktemp` echo "DATABASE_URL=sqlite://" >> $ENV_FILE echo "DEBUG=False" >> $ENV_FILE @@ -16,7 +18,7 @@ echo "SECRET_KEY=test" >> $ENV_FILE # Run Tests -docker run --env-file=$ENV_FILE $DOCKER_...
bash
d_bash_17188
--- +++ @@ -13,7 +13,7 @@ if [ $REPORT == "diff" ]; then echo "1. creating patch '${PATCH_FILE}' ..." vendor/bin/phpcs --report=$REPORT --standard=$CS --sniffs=$CS.$SNIFF $TEST_DATA_FILE > $PATCH_FILE - + echo "2. applying patch '${PATCH_FILE}' ..." patch -p0 -ui $PATCH_FILE @@ -25,6 +25,7 @@ done p...
bash
d_bash_17189
--- +++ @@ -24,5 +24,5 @@ shift done -last -i | tac | tail -n 1 -exit 0 +last | tac | tail -n 1 +exit $?
bash
d_bash_17190
--- +++ @@ -8,6 +8,7 @@ # Run tests py.test -v +pebble kill # Kill Flask server pkill -P $PID
bash
d_bash_17191
--- +++ @@ -1,42 +1,60 @@ #!/bin/env bash usage() { cat >&2 << EOF -Usage: ${0##*/} [OPTIONS] filename +Usage: ${0##*/} [OPTIONS] (FILENAME | URL...) OPTIONS: EOF } main() { - source "${MYLIBS}libcolors.sh" - - local -r filename="$1" - - if [[ -z $filename ]]; then - echo -e "${RED}no filename suppli...
bash
d_bash_17192
--- +++ @@ -1,17 +1,22 @@ #!/usr/bin/env bash +DOTFILES_DIRECTORY="${HOME}/.dotfiles" source "${HOME}/.bashrc" +source ${DOTFILES_DIRECTORY}/lib/utils -# Install stable version's node.js via nodebrew -if [[ ! "$(type -P nodebrew)" ]]; then - curl -L git.io/nodebrew | perl - setup - source "${HOME}/.bashrc" -e...
bash
d_bash_17193
--- +++ @@ -7,7 +7,7 @@ WHEELHOUSE=$HOME/wheelhouse -if [[ ! -e "$WHEELHOUSE/rasterio-$RASTERIO_VERSION-cp27-none-linux_x86_64.whl" ]]; then +if test -z $(find $WHEELHOUSE -name rasterio-$RASTERIO_VERSION-*-none-linux_x86_64.whl); then echo "Downloading speedy wheels..." curl -L https://github.com/mapb...
bash
d_bash_17194
--- +++ @@ -16,5 +16,6 @@ then info "Installing oh-my-zsh" sudo sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh)" + command -v zsh | sudo tee -a /etc/shells sudo chsh $USER -s $(which zsh) fi
bash
d_bash_17195
--- +++ @@ -4,7 +4,7 @@ # URL of LXD image with pre-provisioned Media Cloud dependencies # (use ./.travis-lxd/setup_travis_lxd_image.sh) to create a new one) -MC_LXD_IMAGE_PROVISIONED_URL=https://s3.amazonaws.com/mediacloud-travis-lxd-images/travis-lxd-images/mediacloud-travis-20181219.tar.gz +MC_LXD_IMAGE_PROVIS...
bash
d_bash_17196
--- +++ @@ -40,4 +40,11 @@ composer self-update &>> $log_file echo +echo "==> RubyGems" +echo " Updating gems" +gem update &>> $log_file +echo " Cleaning up" +gem cleanup &>> $log_file +echo + exit 0
bash
d_bash_17197
--- +++ @@ -4,7 +4,7 @@ export STACK_BUILD_DIR="$PWD" cd "$(dirname "$0")/../.." #TODO: set up gpg-agent forwarding for package signing (see http://superuser.com/questions/161973/how-can-i-forward-a-gpg-key-via-ssh-agent). -gpg --export-secret-keys --armor dev@fpcomplete.com >"gpg-secret-key.asc~" +gpg --export-se...
bash
d_bash_17198
--- +++ @@ -6,8 +6,6 @@ { expected_release_output=`cat <<EOF --- -addons: - - heroku-postgresql EOF` release
bash
d_bash_17199
--- +++ @@ -1,4 +1,7 @@ VERSION=`cat VERSION` rm ../niflib-${VERSION}-src.zip +git submodule update --recursive +git clean -xfd +git submodule foreach --recursive git clean -xfd doxygen find . -type f -not -wholename "*.git*" -and -not -name ".project" | xargs zip ../niflib-${VERSION}-src.zip
bash